GET
/
api
/
v1
/
platform
/
tenants
/
{tenant_id}
/
credentials
List Open Platform credentials
curl --request GET \
  --url https://api.example.com/api/v1/platform/tenants/{tenant_id}/credentials \
  --header 'X-Api-Id: <x-api-id>' \
  --header 'X-Api-Nonce: <x-api-nonce>' \
  --header 'X-Api-Signature: <api-key>' \
  --header 'X-Api-Timestamp: <x-api-timestamp>'
[
  {
    "client_id": "client_001",
    "tenant_id": "tenant_001",
    "name": "Tenant 001 command client",
    "status": "ACTIVE",
    "allowed_clock_skew_seconds": 300,
    "replay_window_seconds": 300,
    "expires_at": null,
    "request_id": "req-001"
  }
]

Authorizations

X-Api-Signature
string
header
required

UTMOS HMAC request signature with X-Api-Id, X-Api-Timestamp and X-Api-Nonce.

Headers

X-Api-Id
string
required

Platform or tenant administrator credential

X-Api-Timestamp
string
required

Unix seconds

X-Api-Nonce
string
required

Replay-protection nonce

X-Api-Signature
string
required

HMAC signature

X-Request-Id
string

Caller correlation ID; generated when omitted

Path Parameters

tenant_id
string
required

Tenant identifier

Query Parameters

limit
integer
default:100

Maximum number of records returned by a list endpoint. Defaults to 100; max 500.

Required range: 1 <= x <= 500

Response

OK

client_id
string
tenant_id
string
name
string
status
enum<string>
Available options:
ACTIVE,
DISABLED,
DELETED
allowed_clock_skew_seconds
integer
replay_window_seconds
integer
secret
string
expires_at
string<date-time> | null
request_id
string